Index: ntrib/crossrpms/cpukit/build.add
===================================================================
--- contrib/crossrpms/cpukit/build.add	(revision e808cbd2fcd7b8e1b6eac00c911406305f922ffd)
+++ 	(revision )
@@ -1,16 +1,0 @@
-%build
-%if "%{_prefix}" != "/usr"
-  export PATH="%{_bindir}:${PATH}"
-%endif
-  mkdir -p build
-
-  cd build
-  ../rtems-%{cpukit_version}/configure \
-    --prefix=%{_prefix} \
-    --target=@tool_target@ \
-    --enable-multilib \
-    --disable-rtemsbsp
-
-  make all RTEMS_BSP=
-  cd ..
-
Index: ntrib/crossrpms/cpukit/cpukit.add
===================================================================
--- contrib/crossrpms/cpukit/cpukit.add	(revision e808cbd2fcd7b8e1b6eac00c911406305f922ffd)
+++ 	(revision )
@@ -1,24 +1,0 @@
-
-%define cpukit_pkgvers @CPUKIT_PKGVERS@
-%define cpukit_version @CPUKIT_VERS@
-%define cpukit_rpmvers %{expand:%(echo "@CPUKIT_PKGVERS@" | tr - . )}
-
-Name:         	@rpmprefix@@tool_target@-cpukit
-Summary:      	@tool_target@ cpukit
-
-Group:	      	Development/Tools
-Version:        %{cpukit_rpmvers}
-Release:      	@CPUKIT_RPMREL@
-License:      	GPL
-URL:		http://cpukit.gnu.org
-BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-BuildArch:	noarch
-
-%define debug_package %{nil}
-
-BuildRequires:	@rpmprefix@@tool_target@-gcc
-
-@SOURCES@
-
-%description
-RTEMS cpukit for @tool_target@.
Index: ntrib/crossrpms/cpukit/install.add
===================================================================
--- contrib/crossrpms/cpukit/install.add	(revision e808cbd2fcd7b8e1b6eac00c911406305f922ffd)
+++ 	(revision )
@@ -1,11 +1,0 @@
-%install
-  rm -rf $RPM_BUILD_ROOT
-%if "%{_prefix}" != "/usr"
-  export PATH="%{_bindir}:${PATH}"
-%endif
-  cd build
-  make DESTDIR=$RPM_BUILD_ROOT install
-  cd ..
-
-  rm -rf $RPM_BUILD_ROOT%{_prefix}/share/man
-  rm -rf $RPM_BUILD_ROOT%{_prefix}/bin
Index: ntrib/crossrpms/cpukit/prep.add
===================================================================
--- contrib/crossrpms/cpukit/prep.add	(revision e808cbd2fcd7b8e1b6eac00c911406305f922ffd)
+++ 	(revision )
@@ -1,6 +1,0 @@
-%prep
-%setup -c -T -n %{name}-%{version}
-
-%setup -q -T -D -n %{name}-%{version} -a0
-
-@PREP@
Index: ntrib/crossrpms/cpukit/rpm-install.add
===================================================================
--- contrib/crossrpms/cpukit/rpm-install.add	(revision e808cbd2fcd7b8e1b6eac00c911406305f922ffd)
+++ 	(revision )
@@ -1,49 +1,0 @@
-# Extract %%__os_install_post into os_install_post~
-cat << \EOF > os_install_post~
-%__os_install_post
-EOF
-
-# Generate customized brp-*scripts
-cat os_install_post~ | while read a x y; do
-case $a in
-# Prevent brp-strip* from trying to handle foreign binaries
-*/brp-strip*)
-  b=$(basename $a)
-  sed -e 's,find $RPM_BUILD_ROOT,find $RPM_BUILD_ROOT%_bindir $RPM_BUILD_ROOT%_libexecdir,' $a > $b
-  chmod a+x $b
-  ;;
-%if "%{_prefix}" != "/usr"
-# Fix up brp-compress to handle %%_prefix != /usr
-*/brp-compress*)
-  b=$(basename $a)
-  sed -e 's,\./usr/,.%{_prefix}/,g' < $a > $b
-  chmod a+x $b
-  ;;
-%endif
-esac
-done
-
-sed -e 's,^[ ]*/usr/lib/rpm.*/brp-strip,./brp-strip,' \
-%if "%{_prefix}" != "/usr"
-  -e 's,^[ ]*/usr/lib/rpm.*/brp-compress,./brp-compress,' \
-%endif
-< os_install_post~ > os_install_post 
-%define __os_install_post . ./os_install_post
-
-
-cat << EOF > %{_builddir}/%{name}-%{version}/find-provides
-#!/bin/sh
-grep -E -v '^${RPM_BUILD_ROOT}%{_exec_prefix}/@tool_target@/(lib|include|sys-root)' \
-  | grep -v '^${RPM_BUILD_ROOT}%{cpukitlib}/@tool_target@/' | %__find_provides
-EOF
-chmod +x %{_builddir}/%{name}-%{version}/find-provides
-%define __find_provides %{_builddir}/%{name}-%{version}/find-provides
-
-cat << EOF > %{_builddir}/%{name}-%{version}/find-requires
-#!/bin/sh
-grep -E -v '^${RPM_BUILD_ROOT}%{_exec_prefix}/@tool_target@/(lib|include|sys-root)' \
-  | grep -v '^${RPM_BUILD_ROOT}%{cpukitlib}/@tool_target@/' | %__find_requires
-EOF
-chmod +x %{_builddir}/%{name}-%{version}/find-requires
-%define __find_requires %{_builddir}/%{name}-%{version}/find-requires
-
Index: ntrib/crossrpms/cpukit/target-cpukit.add
===================================================================
--- contrib/crossrpms/cpukit/target-cpukit.add	(revision e808cbd2fcd7b8e1b6eac00c911406305f922ffd)
+++ 	(revision )
@@ -1,9 +1,0 @@
-%description -n @rpmprefix@@tool_target@-cpukit
-RTEMS cpukit for target @tool_target@.
-
-%files -n @rpmprefix@@tool_target@-cpukit
-%defattr(-,root,root)
-%sysdir %{_prefix}
-%{_prefix}/@tool_target@
-# Violates the FHS
-%exclude %{_prefix}/make
